<configuration name="lcr.conf" description="LCR Configuration">
  <settings>
    <param name="odbc-dsn" value="fusionpbx:root:f1l3m0n3lgr4nd3"/>
    <param name="limit_type" value="db"/>
  </settings>
  <profiles>
    <profile name="default">
      <param name="custom_sql" value="
SELECT 
       l.digits AS lcr_digits,
       c.carrier_name AS lcr_carrier_name,
       l.rate as lcr_rate_field,
       cg.prefix AS lcr_gw_prefix, 
       cg.suffix AS lcr_gw_suffix,
       l.lead_strip AS lcr_lead_strip, 
       l.trail_strip AS lcr_trail_strip,
       l.prefix AS lcr_prefix, 
       l.suffix AS lcr_suffix, 
       cg.codec AS lcr_codec,
       (SELECT rate FROM v_lcr WHERE carrier_uuid IS NULL AND digits::bigint IN (${lcr_query_expanded_digits}) ORDER BY digits DESC, rate ASC limit 1) AS lcr_user_rate,
       'carriers' AS lcr_limit_realm, 
       c.carrier_name AS lcr_limit_id, 
       c.carrier_channels AS lcr_limit_max,
       a.type_value as nibble_account,
       (SELECT rate FROM v_lcr WHERE carrier_uuid IS NULL AND digits::bigint IN (${lcr_query_expanded_digits}) ORDER BY digits DESC, rate ASC limit 1) AS nibble_rate,
       l.connect_increment as lcr_first_increment,
       l.talk_increment as lcr_second_increment,
       (SELECT connect_increment FROM v_lcr WHERE carrier_uuid IS NULL AND digits::bigint IN (${lcr_query_expanded_digits}) ORDER BY digits DESC, rate ASC limit 1) AS lcr_user_first_increment,
       (SELECT talk_increment FROM v_lcr WHERE carrier_uuid IS NULL AND digits::bigint IN (${lcr_query_expanded_digits}) ORDER BY digits DESC, rate ASC limit 1) AS lcr_user_second_increment,
       (SELECT CASE WHEN credit_type='prepaid' THEN credit ELSE -0.01 END FROM v_billings WHERE type_value='${accountcode}') as nobal_amt
  FROM v_lcr l
    JOIN v_carriers c ON l.carrier_uuid=c.carrier_uuid
    JOIN v_carrier_gateways cg ON c.carrier_uuid=cg.carrier_uuid
    JOIN v_billings a ON a.type_value='${accountcode}'
  WHERE c.enabled = 'true' AND cg.enabled = 'true'
    AND l.enabled = 'true' AND l.lcr_direction = 'outbound'
    AND NOW() >= l.date_start
    AND NOW() < l.date_end
    AND l.digits::bigint  IN (${lcr_query_expanded_digits})
  ORDER BY digits DESC,  lcr_rate_field ASC, l.date_start DESC;
      "/>
    <param name="export_fields" value="nibble_account,nibble_rate,lcr_first_increment,lcr_second_increment,lcr_user_first_increment,lcr_user_second_increment,nobal_amt"/>
    </profile>





    <profile name="nobill">
      <param name="custom_sql" value="
SELECT 
       l.digits AS lcr_digits,
       c.carrier_name AS lcr_carrier_name,
       l.rate as lcr_rate_field,
       cg.prefix AS lcr_gw_prefix, 
       cg.suffix AS lcr_gw_suffix,
       l.lead_strip AS lcr_lead_strip,
       l.trail_strip AS lcr_trail_strip,
       l.prefix AS lcr_prefix,
       l.suffix AS lcr_suffix,
       cg.codec AS lcr_codec,
       (SELECT rate FROM v_lcr WHERE carrier_uuid IS NULL AND digits::bigint IN (${lcr_query_expanded_digits}) ORDER BY digits DESC, rate ASC limit 1) AS lcr_user_rate,
       'carriers' AS lcr_limit_realm,
       c.carrier_name AS lcr_limit_id,
       c.carrier_channels AS lcr_limit_max,
       (SELECT rate FROM v_lcr WHERE carrier_uuid IS NULL AND digits::bigint IN (${lcr_query_expanded_digits}) ORDER BY digits DESC, rate ASC limit 1) AS nibble_rate,
       l.connect_increment as lcr_first_increment,
       l.talk_increment as lcr_second_increment,
       (SELECT connect_increment FROM v_lcr WHERE carrier_uuid IS NULL AND digits::bigint IN (${lcr_query_expanded_digits}) ORDER BY digits DESC, rate ASC limit 1) AS lcr_user_first_increment,
       (SELECT talk_increment FROM v_lcr WHERE carrier_uuid IS NULL AND digits::bigint IN (${lcr_query_expanded_digits}) ORDER BY digits DESC, rate ASC limit 1) AS lcr_user_second_increment
  FROM v_lcr l
    JOIN v_carriers c ON l.carrier_uuid=c.carrier_uuid
    JOIN v_carrier_gateways cg ON c.carrier_uuid=cg.carrier_uuid
  WHERE c.enabled = 'true' AND cg.enabled = 'true'
    AND l.enabled = 'true' AND l.lcr_direction = 'outbound'
    AND NOW() >= l.date_start
    AND NOW() < l.date_end
    AND l.digits::bigint IN (${lcr_query_expanded_digits})
  ORDER BY digits DESC,  lcr_rate_field ASC, l.date_start DESC;
      "/>
    <param name="export_fields" value="nibble_account,nibble_rate,lcr_first_increment,lcr_second_increment,lcr_user_first_increment,lcr_user_second_increment,nobal_amt"/>
    </profile>




  </profiles>
</configuration>
